{% extends "base.html" %}
{% load i18n %}
{% load crispy_forms_tags %}

{% block title %}{% trans "Log in" %}{% endblock title %}

{% block content %}
<div class="container">
    <div class="row card-row">
        <div class="col-12 col-sm-9 col-lg-6 mx-auto my-auto">
            <div class="card">
                <div class="card-header text-center">
                    <h1>{% trans "Log in" %}</h1>
                </div>
                <div class="card-body">
                    <form novalidate method="post">
                        {% csrf_token %}
                        {{ form|crispy }}
                        <hr>
                        <div class="d-flex justify-content-between" style="flex-wrap: wrap;">
                            <div style="line-height: 1.1875rem;">
                                <a href="{% url 'accounts:password_reset' %}?next={{ request.get_full_path }}">
                                    {% trans "Forgot your password?" %}
                                </a>
                                <br>
                                {% if CAN_REGISTER %}
                                <a href="{% url 'accounts:register' %}?next={{ request.get_full_path }}">
                                    {% trans "Don't have an account?" %}
                                </a>
                                {% else %}
                                <a data-target="#why-cant-i-register" data-toggle="modal" href="javascript:void(0);">
                                    {% trans "Why can't I register?" %}
                                </a>
                                {% endif %}
                            </div>
                            <div>
                                <button type="submit" class="btn btn-primary">
                                    <i class="fas fa-sign-in-alt fa-fw mr-1"></i>{% trans "Log in" %}
                                </button>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>
{% if not CAN_REGISTER %}
<div class="modal fade core-font" id="why-cant-i-register">
    <div class="modal-dialog modal-dialog-centered">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title">{% trans "Why can't I register?" %}</h5>
            </div>
            <div class="modal-body">
                <p>{% trans "This website has disabled self-registrations." %}</p>
                <p>{% trans "You should receive an activation email if the administrator created an account for you." %}</p>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-primary" data-dismiss="modal">{% trans "OK" %}</button>
            </div>
        </div>
    </div>
</div>
{% endif %}
{% endblock content %}